For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
      • GETGet the list of all the sub-accounts of the master account.
      • POSTCreate a new sub-account under a master account.
      • GETGet sub-account details
      • DELDelete a sub-account
      • PUTUpdate sub-account plan
      • PUTUpdate sub-accounts plan
      • POSTGenerate SSO token to access admin account
      • POSTGenerate SSO token to access sub-account
      • GETGet the details of requested master account
      • POSTCreate an API key for a sub-account
      • PUTEnable/disable sub-account application(s)
      • POSTCreate a new group of sub-accounts
      • GETList of all IPs
      • POSTAssociate an IP to sub-accounts
      • PUTDissociate an IP to sub-accounts
      • GETGET a group details
      • PUTUpdate a group of sub-accounts
      • DELDelete a group
      • PUTDelete sub-account from group
      • POSTSend invitation to an admin user
      • PUTResend / cancel admin user invitation
      • DELRevoke an admin user
      • GETGet the list of all admin users
      • GETCheck admin user permissions
      • PUTChange admin user permissions
      • GETGet the list of groups
  • Sales CRM
  • Conversations
  • Ecommerce
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
Accounts and SettingsMaster Account

Get the list of all the sub-accounts of the master account.

GET
https://api.brevo.com/v3/corporate/subAccount
GET
/v3/corporate/subAccount
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.masterAccount.getTheListOfAllTheSubAccountsOfTheMasterAccount({
8 offset: 1,
9 limit: 1,
10 });
11}
12main();
1{
2 "count": 3,
3 "subAccounts": [
4 {
5 "active": true,
6 "companyName": "Company1",
7 "createdAt": 1631523176,
8 "groups": [
9 {
10 "id": "5f8f8c3b5f56a02d4433b3a8",
11 "name": "Group 1"
12 },
13 {
14 "id": "4fbf3c3b1f56a02ac465b1a0",
15 "name": "Group 2"
16 }
17 ],
18 "id": 4043629
19 },
20 {
21 "active": true,
22 "companyName": "Company2",
23 "createdAt": 1629439311,
24 "groups": [],
25 "id": 3984002
26 },
27 {
28 "active": true,
29 "companyName": "Company3",
30 "createdAt": 1614713641,
31 "groups": [],
32 "id": 3524191
33 }
34 ]
35}

This endpoint will provide the list all the sub-accounts of the master account.

Was this page helpful?
Previous

Create a new sub-account under a master account.

Next
Built with

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Query parameters

offsetintegerRequired

Index of the first sub-account in the page

limitintegerRequired

Number of sub-accounts to be displayed on each page

Response

Sub-accounts list

countinteger
Total number of subaccounts
subAccountslist of objects

Errors

400
Bad Request Error